%define anolis_release 2

%global modname zope.testing

Name:           python-zope-testing
Version:        5.0.1
Release:        %{anolis_release}%{?dist}
Summary:        Zope Testing Framework
License:        ZPLv2.1
URL:            https://pypi.io/project/%{modname}
Source0:        https://pypi.io/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
# Upstream report: https://github.com/zopefoundation/zope.testing/issues/41
Patch:          0001-Fix-doctest-failure-with-Python-3.11.patch

BuildArch:      noarch

%description
This package provides a number of testing frameworks. It includes a
flexible test runner, and supports both doctest and unittest.


%package -n python%{python3_pkgversion}-zope-testing
Summary:        Zope Testing Framework
%{?python_provide:%python_provide python%{python3_pkgversion}-zope-testing}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-zope-testing
This package provides a number of testing frameworks. It includes a
flexible test runner, and supports both doctest and unittest.

%prep
%autosetup -p1 -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%build
%{py3_build}

%install
%{py3_install}
# __init__.py* are not needed since .pth file is used
rm -f %{buildroot}%{python3_sitelib}/zope/__init__.py*

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-zope-testing
%license COPYRIGHT.txt LICENSE.txt
%{python3_sitelib}/zope/testing/
%exclude %{python3_sitelib}/zope/testing/*.txt
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth

%changelog
* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 5.0.1-2
- Rebuild with python3.11

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 5.0.1-1
- Import package for anolis 23
